Skip to main content
POST
/
v1
/
records
/
{object}
/
query
List records
curl --request POST \
  --url https://api.connect-crm.com/v1/records/{object}/query \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "sorts": [
    {
      "attribute": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "field": "<string>",
      "direction": "asc"
    }
  ],
  "filters": [
    {
      "attribute": "9293961c-df93-4d6d-a2cc-fc3e353b2d10",
      "field": "full_name",
      "value": "<string>"
    }
  ],
  "joinOperator": "and",
  "limit": 100,
  "offset": 0
}
'
{
  "data": [
    {
      "id": {
        "workspace_id": "9293961c-df93-4d6d-a2cc-fc3e353b2d10",
        "object_id": "9293961c-df93-4d6d-a2cc-fc3e353b2d10",
        "record_id": "9293961c-df93-4d6d-a2cc-fc3e353b2d10"
      },
      "values": {},
      "created_at": "2024-09-04T20:45:09Z"
    }
  ],
  "has_more": true,
  "total": 123
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

object
string
required

A UUID or slug to identify the object.

Body

application/json
sorts
object[]
required
filters
object[]

An array of attribute-based filters. Maximum 10 filters.

Maximum array length: 10
joinOperator
enum<string>
default:and

How to combine multiple attribute filters. Defaults to "and".

Available options:
and,
or
limit
number
default:100

The maximum number of results to return.

Required range: x <= 1000
offset
number
default:0

The number of results to skip over before returning.

Response

Success

data
object[]
required
has_more
boolean
required

Whether there are more records available beyond the current page.

total
number
required

The total number of records matching the query.